ANABOX smart
API ReferenceDevicesDeviceid

Update a device

Updates specific fields of an existing device identified by its ID.

PATCH
/devices/{deviceId}
x-api-key<token>

API key for authentication

In: header

Path Parameters

deviceIdstring

A valid MongoDB ObjectId

intake?
meta?
organization?string

A valid MongoDB ObjectId

patient?string|null

A valid MongoDB ObjectId

paper?string|null

A valid MongoDB ObjectId

kind?string
deviceId?string
alarmEnable?integer
takeOffsetTime?integer
iotDevice?
payment?

Response Body

application/json

curl -X PATCH "https://api.memo.wirewire.de/v1/devices/682fd0d7d4a6325d9d45b86f" \  -H "Content-Type: application/json" \  -d '{    "kind": "paper-display",    "deviceId": "nrf-352656106701140",    "patient": "682fd0d7d4a6325d9d45b86d",    "paper": null,    "meta": {      "room": "kitchen"    },    "alarmEnable": 1,    "takeOffsetTime": 15  }'
{
  "id": "682fd0d7d4a6325d9d45b86f",
  "name": "Kitchen Display",
  "serialNumber": "nrf-352656106701140",
  "status": "online",
  "createdAt": "2026-05-21T09:30:00.000Z",
  "updatedAt": "2026-05-21T10:15:00.000Z"
}